function [x,converge,i] = Newton(F,dF,x0)
%Recebe F - uma funo a que se querem determinar os zeros
%       dF - a derivada de F (ambas definidas como inline)
%       x0 - um ponto inicial
%
%Devolve x - a aproximao final
%        i - o nmero de iteraes realizadas
%        converge - uma varivel booleana que indica se o mtodo convergiu

%Parmetros
nmax=100;
tol=10^-10;

%Inicializao do while
error=1;
x=x0;
i=0;

%Iteraes
while i<nmax && error>tol;
    delta=F(x)/dF(x);
    error=abs(delta);
    x=x-delta;
    i=i+1;
end

%Verifica se convergiu
converge=error<tol;

end

